petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPBCGSLSetXRes

Sets the parameter governing when exact residuals will be used instead of computed residuals.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPBCGSLSetXRes(KSP ksp, PetscReal delta)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate Many br
| delta | - computed residuals are used alone when delta is not positive Many br

### Options Database Keys

-ksp_bcgsl_xres delta - Many br Many br

### Keywords

KSP, BiCGStab(L), set, exact residuals

### See Also

KSPBCGSLSetEll(), KSPBCGSLSetPol()

Level:intermediate
Location:src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages